MySQL Enterprise Server < 5.0.52 Multiple Vulnerabilities

medium Log Correlation Engine Plugin ID 801138
New! Plugin Severity Now Using CVSS v3

The calculated severity for Plugins has been updated to use CVSS v3 by default. Plugins that do not have a CVSS v3 score will fall back to CVSS v2 for calculating severity. Severity display preferences can be toggled in the settings dropdown.

Synopsis

The remote database server is affected by several issues.

Description

The version of MySQL Enterprise Server installed on the remote host reportedly is affected by the following issues :

- Using RENAME TABLE against a table with explicit DATA DIRECTORY and INDEX DIRECTORY options can be used to overwrite system table information. (Bug #32111).

- ALTER VIEW retained the original DEFINER value, even when altered by another user, which could allow that user to gain the access rights of the view. (Bug #29908)

- When using a FEDERATED table, the local server can be forced to crash if the remote server returns a result with fewer columns than expected. (Bug #29801)

Solution

Upgrade to version 5.0.52 or higher.

See Also

bugs.mysql.com/32111

bugs.mysql.com/29908

bugs.mysql.com/29801

dev.mysql.com/doc/refman/5.0/en/releasenotes-es-5-0-52.html

Plugin Details

Severity: Medium

ID: 801138

Family: Database

Nessus ID: 29346

Risk Information

CVSS v2

Risk Factor: Medium

Base Score: 6.5

Temporal Score: 5.4

Vector: CVSS2#AV:N/AC:L/Au:S/C:P/I:P/A:P

Temporal Vector: CVSS2#E:F/RL:OF/RC:C

Reference Information

CVE: CVE-2007-5969, CVE-2007-6303, CVE-2007-6304

BID: 26765, 26832